Page MenuHomePhabricator

<cx-translation-filter-suggested-translations> is shown instead of the actual message on Special:ContentTranslation in production
Closed, DuplicatePublic

Description

The Article suggestions feature was deployed on the Portuguese Wikipedia.

"<cx-translation-filter-suggested-translations>", which as a new message key that this feature adds, is shown instead of the actual message on Special:ContentTranslation in production.

See https://pt.wikipedia.org/wiki/Especial:ContentTranslation to see it (you need to log and enable the ContentTranslation beta feature).

@Nikerabbit says that it has something to do with RL cache.

Event Timeline

Amire80 created this task.Sep 17 2015, 8:46 PM
Amire80 raised the priority of this task from to Unbreak Now!.
Amire80 updated the task description. (Show Details)
Amire80 added projects: ContentTranslation, I18n.
Amire80 added subscribers: Amire80, Nikerabbit, 20after4.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 8:46 PM
Amire80 lowered the priority of this task from Unbreak Now! to Normal.Sep 18 2015, 5:23 AM

Seems to have been fixed, though I am wondering how to avoid this happening in the first place in the future.

I see that RL update happened hours later deployment. ( https://twitter.com/wikimediatech/status/644732028240461824 ) and after that this issue fixed.

@greg, Is there a reason why the message updates not run just after deployment?

greg added a comment.Sep 21 2015, 3:38 PM

I see that RL update happened hours later deployment. ( https://twitter.com/wikimediatech/status/644732028240461824 ) and after that this issue fixed.
@greg, Is there a reason why the message updates not run just after deployment?

l10nupdate happens once/day in the evening (SF time). It "has always been so" (since I've been here).

What is the issue, exactly? scap updates l10n messages that it has.

Is there a use-case for pulling messages from translatwiki more frequently than nightly?

I see that RL update happened hours later deployment. ( https://twitter.com/wikimediatech/status/644732028240461824 ) and after that this issue fixed.
@greg, Is there a reason why the message updates not run just after deployment?

l10nupdate happens once/day in the evening (SF time). It "has always been so" (since I've been here).
What is the issue, exactly? scap updates l10n messages that it has.

This makes sense, but it looks like what happened in this case is that scap didn't actually update all the L10n messages. The patches deployed in the train introduced several new messages. Several of them were shown as expected, but cx-translation-filter-suggested-translations was not.

Is there a use-case for pulling messages from translatwiki more frequently than nightly?

No, this is probably not the issue here. It looks like the L10n update in the scap that ran after the train didn't pick all the new messages. But I didn't investigate deeply - @Nikerabbit and @KartikMistry may have more precise details.

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.

There wasn't any indication of a problem from scap, at least I didn't notice anything unusual.

I can reproduce this bug on https://pt.wikipedia.org/wiki/Especial:ContentTranslation (after enabling ContentTranslation beta from preferences).

  • The message is sent to the client (e.g. not null), but with a fallback value produced by the server.
mw.messages.get('cx-translation-filter-suggested-translations');
> "<cx-translation-filter-suggested-translations>"
  • The message is working fine in the server-side localisation cache.
$ mwscript eval.php --wiki ptwiki
> return wfMessage('cx-translation-filter-suggested-translations')->plain();
Sugestões
> return wfMessage('cx-translation-filter-suggested-translations')->inContentLanguage()->plain();
Sugestões
> return wfMessage('cx-translation-filter-suggested-translations')->inLanguage('en')->plain();
Suggestions
  • The message is broken in MessageBlobStore.

ptwiki> SELECT * FROM msg_resource WHERE mr_resource='ext.cx.dashboard';

1| ext.cx.dashboard | ca | {"cx-create-new-translation":"Comen\u00e7a una traducci\u00f3 nova","cx-dashboard-sidebar-feedback":"Doneu-nos la vostra opini\u00f3","cx-dashboard-sidebar-information":"M\u00e9s informaci\u00f3 de la caracter\u00edstica","cx-dashboard-sidebar-title":"{{GENDER:|Us cal}} cap ajuda amb les traduccions?"}
2
3
4| ext.cx.dashboard | de | {"cx-create-new-translation":"Neue \u00dcbersetzung beginnen","cx-create-new-translation-desc":"\u003Ccx-create-new-translation-desc\u003E"}
5
6| ext.cx.dashboard | el | {"cx-create-new-translation":"\u0394\u03b7\u03bc\u03b9\u03bf\u03c5\u03c1\u03b3\u03af\u03b1 \u03bd\u03ad\u03b1\u03c2 \u03bc\u03b5\u03c4\u03ac\u03c6\u03c1\u03b1\u03c3\u03b7\u03c2","cx-create-new-translation-desc":"\u003Ccx-create-new-translation-desc\u003E"}
7
8| ext.cx.dashboard | en | {"cx-create-new-translation":"Start a new translation","cx-dashboard-sidebar-feedback":"Give us feedback","cx-dashboard-sidebar-information":"Know more about this feature","cx-dashboard-sidebar-stats":"Statistics","cx-dashboard-sidebar-title":"{{GENDER:|Need}} help with translations?","cx-translation-filter-draft-translations":"In progress","cx-translation-filter-from-any-language":"From any language","cx-translation-filter-published-translations":"Published","cx-translation-filter-suggested-translations":"\u003Ccx-translation-filter-suggested-translations\u003E","cx-translation-filter-to-any-language":"To any language"}
9
10| ext.cx.dashboard | en-gb | {"cx-create-new-translation":"Start a new translation","cx-dashboard-sidebar-feedback":"Give us feedback","cx-dashboard-sidebar-information":"Know more about this feature","cx-dashboard-sidebar-stats":"Statistics","cx-dashboard-sidebar-title":"{{GENDER:|Need}} help with translations?"}
11
12| ext.cx.dashboard | es | {"cx-create-new-translation":"Comienza una traducci\u00f3n nueva","cx-dashboard-sidebar-feedback":"Danos tu opini\u00f3n","cx-dashboard-sidebar-information":"M\u00e1s informaci\u00f3n sobre esta funcionalidad","cx-dashboard-sidebar-stats":"Estad\u00edsticas","cx-dashboard-sidebar-title":"\u00bf{{GENDER:|Necesitas}} ayuda con las traducciones?","cx-translation-filter-draft-translations":"En proceso","cx-translation-filter-from-any-language":"De cualquier idioma","cx-translation-filter-published-translations":"Publicadas","cx-translation-filter-suggested-translations":"Sugerencias","cx-translation-filter-to-any-language":"A cualquier idioma"}
13
14| ext.cx.dashboard | fi | {"cx-create-new-translation":"Aloita uusi k\u00e4\u00e4nn\u00f6sty\u00f6","cx-dashboard-sidebar-feedback":"Give us feedback","cx-dashboard-sidebar-information":"Know more about this feature","cx-dashboard-sidebar-stats":"Statistics","cx-dashboard-sidebar-title":"{{GENDER:|Need}} help with translations?","cx-translation-filter-draft-translations":"Keskener\u00e4iset","cx-translation-filter-from-any-language":"Mist\u00e4 tahansa kielest\u00e4","cx-translation-filter-published-translations":"Julkaistut","cx-translation-filter-suggested-translations":"Suggestions","cx-translation-filter-to-any-language":"Mihin tahansa kieleen"}
15
16| ext.cx.dashboard | fr | {"cx-create-new-translation":"D\u00e9buter une nouvelle traduction","cx-dashboard-sidebar-feedback":"Faites-nous part de vos commentaires","cx-dashboard-sidebar-information":"En savoir plus sur cette fonctionnalit\u00e9","cx-dashboard-sidebar-stats":"Statistiques","cx-dashboard-sidebar-title":"{{GENDER:|Besoin}} d'aide pour les traductions ?","cx-translation-filter-draft-translations":"En cours","cx-translation-filter-from-any-language":"Depuis n\u2019importe quelle langue","cx-translation-filter-published-translations":"Publi\u00e9es","cx-translation-filter-suggested-translations":"Suggestions","cx-translation-filter-to-any-language":"Vers n\u2019importe quelle langue"}
17
18| ext.cx.dashboard | he | {"cx-create-new-translation":"\u05d4\u05ea\u05d7\u05dc\u05ea \u05ea\u05e8\u05d2\u05d5\u05dd \u05d7\u05d3\u05e9","cx-dashboard-sidebar-feedback":"\u05e9\u05dc\u05d9\u05d7\u05ea \u05de\u05e9\u05d5\u05d1","cx-dashboard-sidebar-information":"\u05de\u05d9\u05d3\u05e2 \u05e0\u05d5\u05e1\u05e3 \u05e2\u05dc \u05d4\u05ea\u05db\u05d5\u05e0\u05d4 \u05d4\u05d6\u05d0\u05ea","cx-dashboard-sidebar-stats":"\u05e1\u05d8\u05d8\u05d9\u05e1\u05d8\u05d9\u05e7\u05d5\u05ea","cx-dashboard-sidebar-title":"{{GENDER:|\u05e6\u05e8\u05d9\u05da|\u05e6\u05e8\u05d9\u05db\u05d4}} \u05e2\u05d6\u05e8\u05d4 \u05e2\u05dd \u05ea\u05e8\u05d2\u05d5\u05de\u05d9\u05dd?","cx-translation-filter-draft-translations":"\u05d1\u05e2\u05d1\u05d5\u05d3\u05d4","cx-translation-filter-from-any-language":"\u05de\u05db\u05dc \u05e9\u05e4\u05d4","cx-translation-filter-published-translations":"\u05d4\u05ea\u05e4\u05e8\u05e1\u05de\u05d5","cx-translation-filter-suggested-translations":"\u05d4\u05e6\u05e2\u05d5\u05ea","cx-translation-filter-to-any-language":"\u05dc\u05db\u05dc \u05e9\u05e4\u05d4"} | 20150922035255 |
19
20| ext.cx.dashboard | hi | {"cx-create-new-translation":"\u0928\u092f\u093e \u0905\u0928\u0941\u0935\u093e\u0926 \u0928\u093f\u0930\u094d\u092e\u093f\u0924 \u0915\u0930\u0947\u0902","cx-create-new-translation-desc":"\u003Ccx-create-new-translation-desc\u003E"}
21
22| ext.cx.dashboard | hu | {"cx-create-new-translation":"\u00daj ford\u00edt\u00e1s kezd\u00e9se","cx-create-new-translation-desc":"\u003Ccx-create-new-translation-desc\u003E"}
23
24| ext.cx.dashboard | nl | {"cx-create-new-translation":"Nieuwe vertaling beginnen","cx-dashboard-sidebar-feedback":"Terugkoppeling geven","cx-dashboard-sidebar-information":"Meer informatie over deze functie","cx-dashboard-sidebar-title":"{{GENDER:|Hulp}} nodig bij het vertalen?"}
25
26| ext.cx.dashboard | pt | {"cx-create-new-translation":"Iniciar nova tradu\u00e7\u00e3o","cx-dashboard-sidebar-feedback":"D\u00ea-nos a sua opini\u00e3o","cx-dashboard-sidebar-information":"Saber mais sobre esta funcionalidade","cx-dashboard-sidebar-stats":"Estat\u00edsticas","cx-dashboard-sidebar-title":"{{GENDER:|Precisa}} de ajuda com as tradu\u00e7\u00f5es?","cx-translation-filter-draft-translations":"Em andamento","cx-translation-filter-from-any-language":"De qualquer idioma","cx-translation-filter-published-translations":"Publicadas","cx-translation-filter-suggested-translations":"Sugest\u00f5es","cx-translation-filter-to-any-language":"Para qualquer idioma"}
27
28| ext.cx.dashboard | pt-br | {"cx-create-new-translation":"Iniciar uma nova tradu\u00e7\u00e3o","cx-dashboard-sidebar-feedback":"Fornecer seus coment\u00e1rios","cx-dashboard-sidebar-information":"Saiba mais sobre este recurso","cx-dashboard-sidebar-stats":"Estat\u00edsticas","cx-dashboard-sidebar-title":"{{GENDER:|Precisa}} de ajuda com as tradu\u00e7\u00f5es?","cx-translation-filter-draft-translations":"Em andamento","cx-translation-filter-from-any-language":"De qualquer idioma","cx-translation-filter-published-translations":"Publicadas","cx-translation-filter-suggested-translations":"Sugest\u00f5es","cx-translation-filter-to-any-language":"Para qualquer idioma"}
29
30| ext.cx.dashboard | ru | {"cx-create-new-translation":"\u041d\u0430\u0447\u0430\u0442\u044c \u043d\u043e\u0432\u044b\u0439 \u043f\u0435\u0440\u0435\u0432\u043e\u0434","cx-create-new-translation-desc":"\u003Ccx-create-new-translation-desc\u003E"}

This sounds like T93800.

Now I see it in the English Wikipedia, where this feature was deployed yesterday in SWAT :/

https://en.wikipedia.org/wiki/Special:ContentTranslation

Add that to the duped bug to rise priority?

KartikMistry moved this task from In Progress to QA on the LE-CX6-Sprint 4 board.Oct 6 2015, 6:39 AM
Arrbee moved this task from QA to Done on the LE-CX6-Sprint 4 board.Oct 7 2015, 4:28 AM